Foxit PDF SDK

Instance Methods | Properties | List of all members
FSWatermarkSettings Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPosition:offset_x:offset_y:flags:scale_x:scale_y:rotation:opacity:
| Constructor, with parameters. More...
(id) | - initWithSettings:
| Constructor, with another watermark settings object. More...
(void) | - set:offset_x:offset_y:flags:scale_x:scale_y:rotation:opacity:
| Set value. More...

## Properties
unsigned int | flags
| Watermark flags. More...
float | offset_x
| Horizontal offset, in points.
float | offset_y
| Vertical offset, in points.
int | opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
FSPosition | position
| Watermark position. More...
float | rotation
| Rotation angle in degrees.
float | scale_x
| Horizontal scale coefficient. It should be greater than 0.001f.
float | scale_y
| Vertical scale coefficient. It should be greater than 0.001f.

## Detailed Description

This class represents the watermark settings used to construct a watermark object from any supported resource.

## Method Documentation

## ◆ initWithPosition:offset_x:offset_y:flags:scale_x:scale_y:rotation:opacity:()

- (id) initWithPosition: |  | (FSPosition) | position
offset_x: |  | (float) | offset_x
offset_y: |  | (float) | offset_y
flags: |  | (unsigned int) | flags
scale_x: |  | (float) | scale_x
scale_y: |  | (float) | scale_y
rotation: |  | (float) | rotation
opacity: |  | (int) | opacity

Constructor, with parameters.

Parameters

  [in] | position | Watermark position. Please refer to values starting from FSPosTopLeft and this should be one of these values.
  [in] | offset_x | Horizontal offset, in points.
  [in] | offset_y | Vertical offset, in points.
  [in] | flags | Watermark flags. Please refer to values starting from FSWatermarkSettingsFlagASPageContents and this can be one or a combination of these values.
  [in] | scale_x | Horizontal scale coefficient. It should be greater than 0.001f.
  [in] | scale_y | Vertical scale coefficient. It should be greater than 0.001f.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.

## ◆ initWithSettings:()

- (id) initWithSettings: |  | (FSWatermarkSettings*) | settings |

Constructor, with another watermark settings object.

Parameters

  [in] | settings | Another watermark settings object.

## ◆ set:offset_x:offset_y:flags:scale_x:scale_y:rotation:opacity:()

- (void) set: |  | (FSPosition) | position
offset_x: |  | (float) | offset_x
offset_y: |  | (float) | offset_y
flags: |  | (unsigned int) | flags
scale_x: |  | (float) | scale_x
scale_y: |  | (float) | scale_y
rotation: |  | (float) | rotation
opacity: |  | (int) | opacity

Set value.

Parameters

  [in] | position | Watermark position. Please refer to values starting from FSPosTopLeft and this should be one of these values.
  [in] | offset_x | Horizontal offset, in points.
  [in] | offset_y | Vertical offset, in points.
  [in] | flags | Watermark flags. Please refer to values starting from FSWatermarkSettingsFlagASPageContents and this can be one or a combination of these values.
  [in] | scale_x | Horizontal scale coefficient. It should be greater than 0.001f.
  [in] | scale_y | Vertical scale coefficient. It should be greater than 0.001f.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.

Returns
  None.

## Property Documentation

## ◆ flags

- (unsigned int) flags
| read write nonatomic assign

Watermark flags.

Please refer to values starting from FSWatermarkSettingsFlagASPageContents and this can be one or a combination of these values.

## ◆ position

- (FSPosition) position
| read write nonatomic assign

Watermark position.

Please refer to values starting from FSPosTopLeft and this should be one of these values.